src/main/java/de/nirm/zwp/controllers/UtilitiesBean.java
package de.nirm.zwp.controllers;

import de.nirm.zwp.services.NotificationServiceBean;

import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;

@Named
@RequestScoped
public class UtilitiesBean {

    @EJB
    private NotificationServiceBean notificationServiceBean;

    /**
     * Formats a Date in a Standart Way for our Program
     * @param dateTime DateObject that you want to format
     * @return String in Form of the pattern "dd/MM/yyyy - HH:mm:ss"
     */
    public String formatDate(ZonedDateTime dateTime){
        DateTimeFormatter formatter2 = DateTimeFormatter.ofPattern("dd/MM/yyyy - HH:mm:ss");
        return dateTime.format(formatter2);
    }


    public List<String> getGoodNotifications() {
        return notificationServiceBean.getGoodNotificationList();
    }

    public List<String> getNeutralNotifications() {
        return notificationServiceBean.getNeutralNotificationList();
    }

    public List<String> getBadNotifications() {
        return notificationServiceBean.getBadNotificationList();
    }
}

src/main/webapp/template/footer.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
>



<ui:composition>
    <div class="container-fluid footer">
        <div class="container">
            <div class="row">
                <div class="col bugFix">
                    <h3 style="display: inline-block">BugFix</h3>
                    <h:graphicImage class="logo" value ="resources/images/catchabug_w.png" />
                    <p>A Simple But Powerful App That Tracks All Bugs For Your Project</p>
                    <p>Track It - Grab It - Fix It</p>
                </div>
                <div class="col Team">
                    <h3>Team</h3>
                    <p>Nga</p>
                    <p>Maher</p>
                    <p>Ingo</p>
                    <p>Rainer</p>
                </div>
                <div class="col contact">
                    <h3>Kontakt</h3>
                    <a href="http://facebook.com"><i class="fab fa-facebook-f"></i></a>
                    <a href="http://Instagram.com"><i class="fab fa-instagram"></i></a>
                    <a href="http://Twitter.com"><i class="fab fa-twitter"></i></a>
                    <a href="http://linkedin.de"><i class="fab fa-linkedin-in"></i></a>


                    <a class="d-block" href="start.xhtml">Change to Dev Mode</a>


                </div>
            </div>

        </div>
    </div>

</ui:composition>
</html>

src/main/webapp/template/head.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

<ui:composition>
    <f:metadata charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content=""/>
    <meta name="author" content=""/>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous" />
    <!--    Bootstrap core js-->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!--    Verlinkung für icon-->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous"/>

    <!--    External CSS-->
    <link rel="stylesheet" href="resources/css/style.css"/>

</ui:composition>
</html>

src/main/webapp/template/header.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
>

<ui:composition>
    <div class="container-fluid">
        <div class="navbar container justify-content-center" >
            <ul class="nav">
                <li class="nav-item">
                   <a class="nav-link" href="start.xhtml">
                       <i class="fas fa-home"></i>
                       <span class="res-hide">Home</span>
                    </a>
                </li>
                <li class="nav-item beforeLast">
                    <a class="nav-link" href="create-bug.xhtml">
                        <i class="fas fa-concierge-bell"></i>
                        <span class="res-hide">Report your Bug</span>
                    </a>
                </li>
                <li class="nav-item lastMenuItem">
                    <a class="nav-link" href="manage-devs.xhtml">
                        <i class="fas fa-users"></i>
                        <span class="res-hide">Developer Team</span>
                    </a>
                </li>
            </ul>
        </div>
    </div>

    <div class="top-banner"></div>
</ui:composition>

</html>

src/main/webapp/template/layout.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html">


<h:head>
    <ui:insert name = "layoutHead" >
        <ui:include src = "head.xhtml" />
    </ui:insert>

    <!--    insert head setting from paticular page-->
    <ui:insert name="head"/>

</h:head>
<h:body>

    <ui:insert name = "header" >
        <ui:include src = "header.xhtml" />
    </ui:insert>

    <ui:insert name = "notification" >
        <ui:include src = "notification.xhtml" />
    </ui:insert>

    <!--    insert head setting from paticular page-->
    <ui:insert name="content"/>

    <ui:insert name = "footer" >
        <ui:include src = "footer.xhtml" />
    </ui:insert>


</h:body>
</html>

src/main/webapp/template/notification.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

<ui:composition>
    <!--        Check for positive Notifications-->
    <ui:repeat var="goodNote" value="#{utilitiesBean.goodNotifications}">
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            #{goodNote}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </ui:repeat>

    <!--        Check for neutral Notifications-->
    <ui:repeat var="neutralNote" value="#{utilitiesBean.neutralNotifications}">
        <div class="alert alert-primary alert-dismissible fade show" role="alert">
            #{neutralNote}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </ui:repeat>

    <!--        Check for negative Notifications-->
    <ui:repeat var="badNote" value="#{utilitiesBean.badNotifications}">
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            #{badNote}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </ui:repeat>

</ui:composition>
</html>